<?php

	include('../../php/conn.php');

	require_once 'dompdf/autoload.inc.php';
	use Dompdf\Dompdf;

	$IdPedido = $_GET["Id"];

	function nombre_numeros($_numero){
		// Determinando la cantidad de dígitos
			$digitos = strlen($_numero);

		// Descomponiendo números
			$entero = substr($_numero, 0, strpos($_numero, '.'));
			$decimal = substr($_numero, strpos($_numero, '.') + 1);

			$digitos = strlen($entero);

			// Unidad
				if ($digitos >= 1){
					$unidad = substr($entero, -1);

					$unidad = (($unidad == 0) ? '' : $unidad);

					if ($unidad == 1){
						$unidad = 'uno';
					}
					if ($unidad == 2){
						$unidad = 'dos';
					}
					if ($unidad == 3){
						$unidad = 'tres';
					}
					if ($unidad == 4){
						$unidad = 'cuatro';
					}
					if ($unidad == 5){
						$unidad = 'cinco';
					}
					if ($unidad == 6){
						$unidad = 'seis';
					}
					if ($unidad == 7){
						$unidad = 'siete';
					}
					if ($unidad == 8){
						$unidad = 'ocho';
					}
					if ($unidad == 9){
						$unidad = 'nueve';
					}
				}

			// Decena entre 11 y 19
				if ($digitos >= 2){
					$decena = substr($entero, -2);

					if ($decena >= 10 && $decena <= 19){
						$unidad = '';

						if ($decena == 10){
							$decena = 'Diez';
						}
						if ($decena == 11){
							$decena = 'Once';
						}
						if ($decena == 12){
							$decena = 'Doce';
						}
						if ($decena == 13){
							$decena = 'Trece';
						}
						if ($decena == 14){
							$decena = 'Catorce';
						}
						if ($decena == 15){
							$decena = 'Quince';
						}
						if ($decena == 16){
							$decena = 'Dieciseis';
						}
						if ($decena == 17){
							$decena = 'Diecisiete';
						}
						if ($decena == 18){
							$decena = 'Dieciocho';
						}
						if ($decena == 19){
							$decena = 'Diecinueve';
						}
					}
					else{ // Decenas
						$decena = substr(substr($entero, -2), 0, 1);

						$decena = (($decena == 0) ? '' : $decena);

						if ($decena == 2){
							if (strlen($unidad) == 0){
								$decena = 'Veinte';
							}
							else{
								$decena = 'Veinti';
							}
						}
						if ($decena == 3){
							if (strlen($unidad) == 0){
								$decena = 'Treinta';
							}
							else{
								$decena = 'Treinta y ';
							}
						}
						if ($decena == 4){
							if (strlen($unidad) == 0){
								$decena = 'Cuarenta';
							}
							else{
								$decena = 'Cuarenta y ';
							}
						}
						if ($decena == 5){
							if (strlen($unidad) == 0){
								$decena = 'Cincuenta';
							}
							else{
								$decena = 'Cincuenta y ';
							}
						}
						if ($decena == 6){
							if (strlen($unidad) == 0){
								$decena = 'Sesenta';
							}
							else{
								$decena = 'Sesenta y ';
							}
						}
						if ($decena == 7){
							if (strlen($unidad) == 0){
								$decena = 'Setenta';
							}
							else{
								$decena = 'Setenta y ';
							}
						}
						if ($decena == 8){
							if (strlen($unidad) == 0){
								$decena = 'Ochenta';
							}
							else{
								$decena = 'Ochenta y ';
							}
						}
						if ($decena == 9){
							if (strlen($unidad) == 0){
								$decena = 'Noventa';
							}
							else{
								$decena = 'Noventa y ';
							}
						}
					}
				}

			// Centenas
				if ($digitos >= 3){
					$centena = substr(substr($entero, -3), 0, 1);

					$centena = (($centena == 0) ? '' : $centena);

					if ($centena == 1){
						if ($entero == 100){
							$centena = 'Cien ';
						}
						else{
							$centena = 'Ciento ';
						}
					}
					if ($centena == 2){
						$centena = 'Doscientos ';
					}
					if ($centena == 3){
						$centena = 'Trescientos ';
					}
					if ($centena == 4){
						$centena = 'Cuatrocientos ';
					}
					if ($centena == 5){
						$centena = 'Quinientos ';
					}
					if ($centena == 6){
						$centena = 'Seiscientos ';
					}
					if ($centena == 7){
						$centena = 'Setecientos ';
					}
					if ($centena == 8){
						$centena = 'Ochocientos ';
					}
					if ($centena == 9){
						$centena = 'Novecientos ';
					}
				}

			// Millares
				if ($digitos >= 5){
					$millar = substr(substr($entero, -5), 0, 1);

					$millar = (($millar == 0) ? '' : $millar);

					if ($millar == 1){
						$millar = 'Mil ';
					}
					if ($millar == 2){
						$millar = 'Dos mil ';
					}
					if ($millar == 3){
						$millar = 'Tres mil ';
					}
					if ($millar == 4){
						$millar = 'Cuatro mil ';
					}
					if ($millar == 5){
						$millar = 'Cinco mil ';
					}
					if ($millar == 6){
						$millar = 'Seis mil ';
					}
					if ($millar == 7){
						$millar = 'Siete mil ';
					}
					if ($millar == 8){
						$millar = 'Ocho mil ';
					}
					if ($millar == 9){
						$millar = 'Nueve mil ';
					}
				}

		$entero = $millar.$centena.$decena.$unidad.' y '.$decimal.'/100 Soles';

		return $entero;
	}

	$html = '<!DOCTYPE html>
			<html lang="es">
				<head>
			        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
			        <meta charset="utf-8">
			        <meta http-equiv="X-UA-Compatible" content="IE=edge">
			        <meta name="viewport" content="width=device-width, initial-scale=1">

			        <title>Impresión de Recibo</title>

			        <!-- Bootstrap -->
			        <link href="../vendors/bootstrap/dist/css/bootstrap.min.css" rel="stylesheet">
			        
			        <!-- Custom Theme Style -->
			        <link href="../build/css/custom.min.css" rel="stylesheet">

					<style type="text/css">
				        html {
							margin: 0;
						}
						body {
							font-family: "Times New Roman", Times, serif;
						}
					</style>
			    </head>

				<body class="nav-md" style="background-color: #ffffff" onload="print_document();">
					<div class="container body" style="font-size: 3.7px; color: #000000">
						<br/>
						<br/>
						<div class="row" style="text-align: center;">
							<img src="images/logos/logo_nuevo.png" width="55mm"/>
						</div>
						<div class="row">
							<center>
								LAB PERU MINERALS S.R.L.
							</center>
						</div>
						<div class="row">
							<center>
								R.U.C.: 20603214456
							</center>
						</div>
						<div class="row">
							<center>
								CAL. LAS TURMALINAS NRO. 969 URB. LOS
							</center>
						</div>
						<div class="row">
							<center>
								CEDROS, TRUJILLO, TRUJILLO, LA LIBERTAD
							</center>
						</div>
						<div class="row">
							<center>
								TELF.: 044 - 755106 / 992760302
							</center>
						</div>
						<div class="row">
							<center>
								Email: atencionalcliente@labperuminerals.org
							</center>
						</div>

						<div class="row" style="margin-top: 1.2mm">
							<center>
								RECIBO
							</center>
						</div>';

	// Obteniendo el Correlativo del recibo
		$q_correlativo = "SELECT recibo_correlativo_sucursal,
								 recibo_correlativo_codigo
							FROM _max_labperu_PagoVenta
						   WHERE Id_Pedido = ".$_GET["Id"];

		if ($res_correlativo = sqlsrv_query($enlacehost, $q_correlativo)) {
			while($row_correlativo = sqlsrv_fetch_array($res_correlativo)) {
				$correlativo = $row_correlativo["recibo_correlativo_sucursal"].' - '.str_pad($row_correlativo["recibo_correlativo_codigo"], 8, '0', STR_PAD_LEFT);
			}
		}

		$html .= '		<div class="row">
							<center>
								'.$correlativo.'
							</center>
						</div>';

	// Recuperando los datos del recibo (Cabecera)
		$q_cabecera = "SELECT CONVERT(VARCHAR, FechaHora_Recepcion, 120) AS FechaHora_Recepcion,
							  CONVERT(VARCHAR, FechaHora_Entrega, 120) AS FechaHora_Entrega,
							  CL.cRazonSocial,
							  CL.cNumeroTelefono + ' / ' + CL.cSegundoNumeroTelefono AS TELEFONO,
							  CL.cDireccion,
							  CL.cEmail,
							  S.des_sucursal,
							  MP.des_mediopago,
							  C.Mostrar_Precio,
							  C.Incluir_IGV,
							  P.Observacion_Recibo,
							  C.reporte_fisico,
							  C.reporte_wsp,
							  C.reporte_mail
						 FROM _max_labperu_CabeceraPedido C
							  LEFT JOIN maestroCliente CL ON CL.iIdCliente = C.iIdCliente
							  LEFT JOIN _max_labperu_Sucursales S ON S.Id = C.Sucursal
							  LEFT JOIN _max_labperu_PagoVenta P ON P.Id_Pedido = C.Id_Pedido
							  LEFT JOIN _max_labperu_MedioPago MP ON MP.Id = P.Id_MedioPago
						WHERE C.Id_Pedido = ".$_GET["Id"];

		if ($res_cabecera = sqlsrv_query($enlacehost, $q_cabecera)) {
			while($row_cabecera = sqlsrv_fetch_array($res_cabecera)) {
				$fecha_recepcion = $row_cabecera["FechaHora_Recepcion"];
				$fecha_entrega = $row_cabecera["FechaHora_Entrega"];
				$cliente = $row_cabecera["cRazonSocial"];
				$telefono = $row_cabecera["TELEFONO"];
				$direccion = $row_cabecera["cDireccion"];
				$mail = $row_cabecera["cEmail"];
				$sucursal = $row_cabecera["des_sucursal"];
				$medio_pago = $row_cabecera["des_mediopago"];
				$mostrar_precio = $row_cabecera["Mostrar_Precio"];
				$incluir_igv = $row_cabecera["Incluir_IGV"];
				$observacion_recibo = $row_cabecera["Observacion_Recibo"];
				$reporte_fisico = $row_cabecera["reporte_fisico"];
				$reporte_wsp = $row_cabecera["reporte_wsp"];
				$reporte_mail = $row_cabecera["reporte_mail"];
			}
		}

		$html .= '		<div style="margin-left: 1.5mm; margin-top: 1.2mm">
							<div class="row">
								F. Ingreso  : '.$fecha_recepcion.'
							</div>
							<div class="row">
								F. Entrega  : '.$fecha_entrega.'
							</div>
							<div class="row">
								Cliente     : '.strtoupper($cliente).'
							</div>
							<div class="row">
								E-mail    : '.$mail.'
							</div>
							<div class="row">
								Teléfono    : '.$telefono.'
							</div>
							<div class="row">
								Dirección   : '.strtoupper($direccion).'
							</div>
							<div class="row">
								Sucursal   : '.strtoupper($sucursal).'
							</div>
							<div class="row">
								Medio Pago   : '.strtoupper($medio_pago).'
							</div>
							<div class="row">
								Reportar por   : '.(($reporte_fisico == 1) ? 'Físico' : '').(($reporte_wsp == 1) ? (($reporte_fisico == 1) ? '; ' : '').'Whatsapp' : '').(($reporte_mail == 1) ? (($reporte_fisico == 1 || $reporte_wsp == 1) ? '; ' : '').'E-mail' : '').'
							</div>';

		if (strlen($observacion_recibo) > 0){
			$html .= '			<div class="row" style="color: #ffffff">
									.
								</div>
								<div class="row">
									Observación   : '.strtoupper($observacion_recibo).'
								</div>';
		}

		$html .= '		</div>';

	// Recuperando los datos del recibo (Detalle)
		$html .= '		<div style="margin-left: 1.5mm; margin-top: 1.2mm">';

		$q_detalle = "SELECT D.Nom_Muestra,
							 D.Elemento_Analisis,
							 D.Precio_Final
						FROM _max_labperu_DetallePedido D
					   WHERE D.Id_Pedido = ".$_GET["Id"];

		if ($res_detalle = sqlsrv_query($enlacehost, $q_detalle)) {
			$html .= '			<table style="width: 95%;">
		                            <tr style="border: solid; border-width: 0.1mm; border-color: #000000;">
		                                <th style="border: solid; border-width: 0.1mm; border-color: #000000;"><center>
		                                    Muestra
		                                </center></th>
		                                <th style="border: solid; border-width: 0.1mm; border-color: #000000;"><center>
		                                    Descripción
		                                </center></th>';

		    if ($mostrar_precio == 1){
		    	$html .= '				<th style="border: solid; border-width: 0.1mm; border-color: #000000;"><center>
		                                    Total (S/)
		                                </center></th>';
		    }
		    else{
		    	$html .= '';
		    }

		    $html .= '				</tr>';

			while($row_detalle = sqlsrv_fetch_array($res_detalle)) {
				$html .= '				<tr>';
				$html .= '					<td style="border: dotted; border-width: 0.1mm; border-color: #000000;">';
				$html .= '						'.$row_detalle["Nom_Muestra"];
				$html .= '					</td>';
				$html .= '					<td style="border: dotted; border-width: 0.1mm; border-color: #000000;"><center>';
				$html .= '						'.$row_detalle["Elemento_Analisis"];
				$html .= '					</center></td>';

				if ($mostrar_precio == 1){
					$html .= '				<td style="text-align: right; border: dotted; border-width: 0.1mm; border-color: #000000;">
												'.number_format($row_detalle["Precio_Final"], 2, '.', ',').'
											</td>';
				}
				else{
					$html .= '';
				}

				$html .= '				</tr>';
			}

			$html .= '			</table>';
		}

		$html .= '		</div>';

	// Agregando el total de la venta
		$q_total = "SELECT ISNULL(SUM(Precio_Final), 0) AS SUB_TOTAL,
						   ISNULL(SUM(Precio_Exceso), 0) AS EXCESO,
						   ROUND(ISNULL(SUM(Precio_Final), 0) + ISNULL(SUM(Precio_Exceso), 0), 2) AS TOTAL
                      FROM _max_labperu_DetallePedido D
                     WHERE Id_Pedido = ".$_GET["Id"];

		if ($res_total = sqlsrv_query($enlacehost, $q_total)) {
			while($row_total = sqlsrv_fetch_array($res_total)) {
				$sub_total = $row_total["SUB_TOTAL"];
				$exceso = $row_total["EXCESO"];
				
				$total = $row_total["TOTAL"];
				$total_igv = $row_total["TOTAL"];

				if ($incluir_igv == 1){
					$total = number_format($total, 2, '.', ',');
					$igv = number_format($total * 0.18, 2, '.', ',');
					$total_igv = number_format($total * 1.18, 2, '.', ',');
				}
				else{
					$total = number_format($total, 2, '.', ',');
					$igv = 0.00;
					$total_igv = number_format($total, 2, '.', ',');
				}

				$son = nombre_numeros(number_format($total_igv, 2, '.', ','));
			}
		}

		if ($mostrar_precio == 1){
			$html .= '		<div style="margin-left: 1.5mm;">';
			$html .= '			<table style="width: 95%;">
									<tr>
										<th>
											Valor Venta (S/):
										</th>
										<th style="text-align: right">'.number_format($sub_total, 2, '.', ',').'
										</th>
									</tr>
									<tr>
										<th>
											Exceso (S/):
										</th>
										<th style="text-align: right">'.number_format($exceso, 2, '.', ',').'
										</th>
									</tr>
									<tr>
										<th>
											Total Valor Venta (S/):
										</th>
										<th style="text-align: right">'.$total.'
										</th>
									</tr>
									<tr>
										<th>
											I.G.V. (S/):
										</th>
										<th style="text-align: right">'.$igv.'
										</th>
									</tr>
									<tr>
										<th>
											Importe Total (S/):
										</th>
										<th style="text-align: right">'.$total_igv.'
										</th>
									</tr>
									<tr>
										<th style="vertical-align: top;">
											Son:

										</th>
										<th style="text-align: right">'.$son.'
										</th>
									</tr>
								</table>
							</div>';
		}

	// Finalizando html
		$html .= '			<div style="margin-top: 1mm; margin-left: 0.5mm"><center>
								..............................................................................................
							</center></div>
							<div style="margin-top: 1mm; margin-left: 0.6mm"><center>
								"EL TIEMPO DE CUSTODIA DE LAS CONTRAMUESTRAS ES DE 20 DÍAS"
							</center></div>
						</div>
					</body>
				  </html>';

	// $options = new Options();
	// $options -> set('enable-javascript', TRUE);

	// $document = new Dompdf($options);
	$document = new Dompdf();

	$document -> loadHtml($html,'UTF-8');
	$document -> setPaper(array(0, 0, 80, 297));
	$document -> render();
	$document -> stream("Recibo", array('Attachment' => 0));


?>
